package com.uca.bookings;


import org.joda.money.Money;


/**
 * Interface déclarant les opérations possibles pour les moyens de paiement.
 *
 * @author Ugo Cesano
 * @author Clément Colmerauer
 */
public interface PaymentMethod {

  void charge(Money amount);

  void refund(Money amount);

  PaymentMethod hide();

}
